Loading...
Searching...
No Matches
ArgParserException Class Reference

## Detailed Description

Exception used by ArgParser.

`#include <lemon/arg_parser.h>`

Inheritance diagram for ArgParserException:
[legend]

## Public Types

enum | Reason { HELP , UNKNOWN_OPT , INVALID_OPT }
| Reasons for failure. More...

## Public Member Functions

| ArgParserException (Reason r) throw ()
| Constructor.
virtual | ~ArgParserException () throw ()
| Virtual destructor.
virtual const char * | what () const throw ()
| A short description of the exception.
Reason | reason () const
| Return the reason for the failure.
Public Member Functions inherited from Exception
| Exception () throw ()
| Constructor.
virtual | ~Exception () throw ()
| Virtual destructor.

## Member Enumeration Documentation

## Reason

enum Reason

Reasons for failure.

Enumerator
HELP | –help option was given.
UNKNOWN_OPT | Unknown option was given.
INVALID_OPT | Invalid combination of options.